<?php

declare(strict_types=1);

namespace App\Command;

use App\Helper\Signer;
use App\Service\AppService;
use App\Service\MerchantService;
use App\Service\PaymentService;
use Hyperf\Command\Command as HyperfCommand;
use Hyperf\Command\Annotation\Command;
use Hyperf\Contract\ContainerInterface;

/**
 * @Command
 */
class JinlingCommand extends HyperfCommand
{
    /**
     * @var ContainerInterface
     */
    protected $container;

    protected $admin;

    public function __construct(ContainerInterface $container)
    {
        $this->container = $container;

        parent::__construct('jinling');
    }

    public function configure()
    {
        parent::configure();
        $this->setDescription('廖金灵测试');
    }

    public function handle()
    {
        /**
         * @var PaymentService
         */
        $paymentService = $this->container->make(PaymentService::class);
        $paramsJson = '{"return_code":"SUCCESS","nonce_str":"4a40481401bb47cc81411ab3a8181bad","timestamp":1682659313039,"sign":"5AD859576B783CB44D1FAA0E7DD4C463","order_no":"TR23042830042195760003775","out_order_no":"2023042813194700001","total_amount":2,"currency":"AUD","order_time":"20230428151948","pay_time":"20230428152021","exchange_rate":459899100,"cny_amount":9}';
        $params = json_decode($paramsJson, true);
        $ret = $paymentService->notify($params);
        var_dump($ret);
        return;
        $this->buildPayPrams();
        return;
        /**
         * @var MerchantService
         */
        $merchantService = $this->container->make(MerchantService::class);

        /**
         * @var AppService
         */
        $appService = $this->container->make(AppService::class);
        $merchant = $merchantService->createMerchant([
            'username' => 'elf',
            'password' => '123456',
            'email' => '360197197@qq.com',
            'mobile' => '18760419185',
            'ip' => '127.0.0.1'
        ]);
        $appService->createApp($merchant);
    }

    public function buildPayPrams() {
        $params = [
            'app_id' => '202304270000004',
            'timestamp' => time(),
            'nonce_str' => 'lSHKbuFngCXHN8Ue1s8QHAAzPvOL3u9O',
        ];
        $data = [
            'order_name' => '测试订单',
            'currency' => 'CNY',
            'amount' => '10',
            'notify_url' => 'http://www.baidu.com',
            'redirect_url' => 'http://www.google.com',
            'out_order_no' => '1122',
            'direct_pay' => 0,
            'show_pc_pay_url' => 0,
        ];
        $params['data'] = json_encode($data);
        $sign = Signer::sign($params, 'lSHKbuFngCXHN8Ue1s8QHAAzPvOL3u9O');
        $params['sign'] = $sign;
        var_dump(json_encode($params));
    }
}