<?php

declare(strict_types=1);

namespace App\Controller\Payment;

use App\Request\JsapiPayRequest;
use Hyperf\HttpServer\Contract\RequestInterface;
use App\Service\PaymentService;

class PayController extends AbstractController
{
    private PaymentService $paymentService;
    
    public function __construct(PaymentService $paymentService)
    {
        $this->paymentService = $paymentService;
    }

    public function jsapi(RequestInterface $request)
    {
        $form = new JsapiPayRequest($request->all());
        $order = $this->paymentService->jsapiPay($form->getApp(), $form->getData());
        return $this->success([
            'pay_url' => $order->pay_url,
            'order_no' => $order->order_no,
        ]);
    }
}
