<?php

declare(strict_types=1);

namespace App\Helper\OmiPay\Request;

use App\Helper\OmiPay\Config;

abstract class AbstractRequest
{
    protected $uri;

    protected $method;

    protected $_params = [];

    public function getUrl() {
        return Config::get('base_url') . $this->uri;
    }

    public function getParams() {
        return $this->_params;
    }

    public function __get($name)
    {
        return $this->_params[$name];
    }

    public function __set($name, $value)
    {
        $this->_params[$name] = $value;
    }
}