<?php

declare(strict_types=1);

namespace App\Model;

use Hyperf\DbConnection\Model\Model as BaseModel;

abstract class Model extends BaseModel
{
    public static function alias($alias = null)
    {
        $name = with(new static)->getTable();
        if ($alias) {
            $name .= ' as ' . $alias;
        }
        return $name;
    }

    public static function fromAlias($alias)
    {
        return static::from(static::alias($alias));
    }

    public function getRawAttribute($key)
    {
        if (! $key) {
            return null;
        }
        return $this->attributes[$key] ?? null;
    }
}
